import { Context } from '@hyperstackjs/typings';
import { Request } from '@hyperstackjs/hypercontroller';

declare const DEFAULT_AUTH_COOKIE_NAME = "HS_AUTH";
interface JWTProps {
    MustAuthWithJWT: any;
    MustAuthRouteWithJWT: any;
    signJWT: any;
    verifyJWT: any;
    currentUser: (req: any) => any;
}
declare const getProps: () => JWTProps;
declare const resolveAuthCookieName: (cookieNameConfig?: string | boolean) => string | null;
declare const _default: (createLoader: (context: Context) => (payload: any) => Promise<any | null>) => (context: Context) => Promise<{
    provideProps(): {
        jwt: {
            MustAuthWithJWT: any;
            MustAuthRouteWithJWT: any;
            signJWT: (payload: any) => string;
            verifyJWT: (token: string) => Promise<unknown>;
            currentUser(req: Request): any;
        };
    };
}>;

export { DEFAULT_AUTH_COOKIE_NAME, JWTProps, _default as default, getProps, resolveAuthCookieName };
